Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454706 - Error in section 17.2.17. of RHEL 5.0 Virtualization Guide
Summary: Error in section 17.2.17. of RHEL 5.0 Virtualization Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Christopher Curran
QA Contact: Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 20:17 UTC by Bryan Mason
Modified: 2018-10-20 02:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-13 19:06:12 UTC


Attachments (Terms of Use)

Description Bryan Mason 2008-07-09 20:17:35 UTC
Description of problem:

    Section 17.2.17 of the RHEL 5.0 Virtualization Guide contains an error.

Version-Release number of selected component (if applicable):

    RHEL 5.0 Virtualization Guide

Steps to Reproduce:
    1.  Go to
https://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Virtualization-en-US/ch17s02s17.html

or

    1.  Download
https://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/en-US/Installation_Guide.pdf
    2.  Go to page 55 of the PDF (marked as page 47).
  
Actual results:

    17.2.17. Configuring VCPU Count

    You can use xm to modify a domain's VCPU count:
 
    xm vcpu-set [domain-id] [count]

    You must specify the [count] in megabytes.

    Note

    You cannot grow a domain's memory beyond the maximum amount you
    specified when you first created the domain.

Expected results:

    17.2.17. Configuring VCPU Count

    You can use xm to modify a domain's VCPU count:
 
    xm vcpu-set [domain-id] [count]

    Note
 
    The new count cannot exceed the amount you specified when you 
    first created the domain.

Additional info:

    Later versions of the Virtualization Guide were completely
    rewritten and do not have this error.

Comment 1 RHEL Product and Program Management 2008-07-10 16:01:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Christopher Curran 2008-07-11 06:15:06 UTC
This is a fix for 5.0 right? That should be a simple backport of the present
guide while verifying the content still works. I guess I'm devel ack on this.
ACK granted.

Comment 3 Michael Hideo 2008-11-04 22:24:25 UTC
STATUS:
Moved version to 5.3
Chris if this has been done in 5.1-5.2 timeframes then I recommend use the 5.3 version as the canonical version and deprecate the 5.0-5.2 versions completely.

Comment 4 Christopher Curran 2008-11-06 03:43:31 UTC
This is fixed in all newer versions. The xm command is not longer recommended and the equivalent of this function using the virsh command is updated to reflect this limitation.


Note You need to log in before you can comment on or make changes to this bug.